BeagleWksSSParserInternal::Chart Struct Reference documentation

BeagleWksSSParserInternal::Chart Struct Referencefinal

Internal: the chart of a BeagleWksSSParser. More...

Inheritance diagram for BeagleWksSSParserInternal::Chart:

## Public Member Functions
| Chart (std::string const &name, BeagleWksSSParser &parser)
| constructor
void | sendContent (TextZone const &zone, MWAWListenerPtr &listener) final
| send a zone content
Public Member Functions inherited from MWAWChart
| MWAWChart (std::string const &sheetName, MWAWFontConverterPtr const &fontConverter, MWAWVec2f const &dim=MWAWVec2f())
| the constructor
virtual | ~MWAWChart ()
| the destructor
void | sendChart (MWAWSpreadsheetListenerPtr &listener, librevenge::RVNGSpreadsheetInterface *interface)
| send the chart to the listener
void | setDataType (Series::Type type, bool dataStacked)
| sets the chart type
MWAWVec2f const & | getDimension () const
| return the chart dimension
void | setDimension (MWAWVec2f const &dim)
| return the chart dimension
void | add (int coord, Axis const &axis)
| adds an axis (corresponding to a coord)
Axis const & | getAxis (int coord) const
| return an axis (corresponding to a coord)
void | set (Legend const &legend)
| set the legend
Legend const & | getLegend () const
| return the legend
void | add (Series const &series)
| adds a series
std::vector< Series > const & | getSeries () const
| return the list of series
void | add (TextZone const &textZone)
| adds a textzone
bool | getTextZone (TextZone::Type type, TextZone &textZone)
| returns a textzone content(if set)

## Public Attributes
BeagleWksSSParser * | m_parser
| the main parser
MWAWInputStreamPtr | m_input
| the input

## Private Member Functions
| Chart (Chart const &orig)=delete
Chart | operator= (Chart const &orig)=delete

## Additional Inherited Members
Protected Member Functions inherited from MWAWChart
void | sendTextZoneContent (TextZone::Type type, MWAWListenerPtr &listener)
| sends a textzone content
Protected Attributes inherited from MWAWChart
std::string | m_sheetName
| the sheet name
MWAWVec2f | m_dim
| the chart dimension in point
Series::Type | m_type
| the chart type (if no series)
bool | m_dataStacked
| a flag to know if the data are stacked or not
Axis | m_axis [4]
| the x,y,z and a bad axis
Legend | m_legend
| the legend
std::vector< Series > | m_seriesList
| the list of series
std::map< TextZone::Type, TextZone > | m_textZoneMap
| a map text zone type to text zone
MWAWFontConverterPtr | m_fontConverter
| the font converter

## Detailed Description

Internal: the chart of a BeagleWksSSParser.

## Constructor & Destructor Documentation

## ◆ Chart() [1/2]

BeagleWksSSParserInternal::Chart::Chart | ( | std::string const & | name,
|  | BeagleWksSSParser & | parser )
| inline

constructor

Referenced by Chart(), and operator=().

## ◆ Chart() [2/2]

BeagleWksSSParserInternal::Chart::Chart | ( | Chart const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

Chart BeagleWksSSParserInternal::Chart::operator= | ( | Chart const & | orig | ) |
| privatedelete

## ◆ sendContent()

void BeagleWksSSParserInternal::Chart::sendContent | ( | Chart::TextZone const & | zone,
|  | MWAWListenerPtr & | listener )
| finalvirtual

send a zone content

Implements MWAWChart.

## Member Data Documentation

## ◆ m_input

MWAWInputStreamPtr BeagleWksSSParserInternal::Chart::m_input

the input

Referenced by Chart(), and sendContent().

## ◆ m_parser

BeagleWksSSParser* BeagleWksSSParserInternal::Chart::m_parser

the main parser

Referenced by Chart(), and sendContent().

The documentation for this struct was generated from the following file:

- BeagleWksSSParser.cxx